/***                 */
/**  ASB004v02 TOP  **/
/*                 ***/
module ASB004v02( CLK18M, DSW, RXF_N, TXE_N, RD_N, WR, USB_DATA, I_PORT, O_PORT );

input        DSW;
input        CLK18M;
input  [7:0] I_PORT;
output [7:0] O_PORT;
input        RXF_N, TXE_N;
output       RD_N, WR;
inout [7:0]  USB_DATA;
wire         BUSY, READY, ENB; 
wire         RST;
wire  [7:0]  TG_DO;
wire  [7:0]  TG_DI;

assign RST   = ~DSW;
assign READY = ~BUSY;
assign O_PORT = ~TG_DO;
assign TG_DI  = ~I_PORT;

USB_ARBITER U0 
		  ( .CLK(CLK18M),
			 .RST(RST),

			 .RXF_N(RXF_N), // IN
			 .TXE_N(TXE_N), // IN
			 .RD_N(RD_N),   // OUT
			 .WR(WR),       // OUT

			 .BUS_BUSY(BUSY),   // OUT
			 .TG_READY(READY),  // IN

			 .USB_DATA(USB_DATA), 

			 .TG_DO(TG_DO),
			 .TG_DI(TG_DI), 
			 .TG_RD(ENB),
			 .TG_WR(ENB) );

endmodule
